---
title: GlobalEventHandlers.onpointerover
slug: Web/API/GlobalEventHandlers/onpointerover
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - PointerEvent
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <strong><code>onpointerover</code></strong> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("pointerover")}} events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>targetElement</var>.onpointerover = <var>overHandler</var>;

var <var>overHandler</var> = <var>targetElement</var>.onpointerover;
</pre>

<h3 id="Value">Value</h3>

<dl>
 <dt><code><var>overHandler</var></code></dt>
 <dd>The <code>pointerover</code> event handler for element <code><var>targetElement</var></code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows two ways to use <code>onpointerover</code> to set an element's <code>pointerover</code> event handler.</p>

<pre class="brush: js notranslate">&lt;html&gt;
&lt;script&gt;
function overHandler(ev) {
  // Process the pointerover event
}
function init() {
  let el = document.getElementById('target1');
  el.onpointerover = overHandler;
}
&lt;/script&gt;

&lt;body onload="init();"&gt;
  &lt;div id="target1"&gt; Touch me ... &lt;/div&gt;
  &lt;div id="target2" onpointerover="overHandler(event)"&gt; Touch me ... &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Events 2','#dom-globaleventhandlers-onpointerover', 'onpointerover')}}</td>
   <td>{{Spec2('Pointer Events 2')}}</td>
   <td>Non-stable version</td>
  </tr>
  <tr>
   <td>{{SpecName('Pointer Events', '#widl-GlobalEventHandlers-onpointerover', 'onpointerover')}}</td>
   <td>{{Spec2('Pointer Events')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GlobalEventHandlers.onpointerover")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><code><a href="/en-US/docs/Web/API/Document/pointerover_event">Document: pointerover</a></code> event</li>
 <li><code><a href="/en-US/docs/Web/API/HTMLElement/pointerover_event">HTMLElement: pointerover</a></code> event</li>
</ul>
